/*****************************************************************************
 *
 * FILE:	session.h
 * DESCRIPTION:	session module header file
 * DATE:	Tue, Jul  6 2004
 * UPDATED:	Mon, Nov  8 2004
 * AUTHOR:	Kouichi ABE (WALL) / 
 * E-MAIL:	kouichi@MysticWALL.COM
 * URL:		http://www.MysticWALL.COM/
 * COPYRIGHT:	(c) 2004 졿Kouichi ABE (WALL), All rights reserved.
 * LICENSE:
 *
 *  Copyright (c) 2004 Kouichi ABE (WALL) <kouichi@MysticWALL.COM>,
 *  All rights reserved.
 *  
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *   1. Redistributions of source code must retain the above copyright
 *      notice, this list of conditions and the following disclaimer.
 *
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice, this list of conditions and the following disclaimer in the
 *	documentation and/or other materials provided with the distribution.
 *
 *   THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 *   ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 *   THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *   PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE
 *   LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 *   CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 *   SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 *   INTERRUPTION)  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 *   CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 *   ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
 *   THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Id: session.h,v 1.2 2004/11/09 14:56:39 kouichi Exp $
 *
 *****************************************************************************/

#ifndef	_SESSION_H
#define	_SESSION_H

/*****************************************************************************
 *
 *	Macros and structures definition
 *
 *****************************************************************************/
#if	SESSION2
#include "ccpath.h"
/*
CREATE TABLE mod_session2 (
  id		VARCHAR(40),
  expire	INTEGER
);
*/
#define	SESSION_TABLE	"mod_session2"
#define	SESSION_NAME	SESSION_TABLE
#else
#define	SESSION_NAME	"mod_session"
#endif	/* SESSION2 */
#define	SESSION_ID	"wmsid"

/*****************************************************************************/

#define CR	'\015'
#define LF	'\012'
#define EOL	'\0'
#define SPC	'\040'
#define TAB	'\011'

typedef struct {
  const char *	login;
  const char *	startup;
} URI;

/*****************************************************************************/
/* config.c */
extern int	read_config(char *, URI *);

#endif	/* _SESSION_H */
